embed.h File Reference
`#include <polybori/polybori.h>`
`#include <boost/python.hpp>`
`#include <boost/python/stl_iterator.hpp>`
`#include <string>`
`#include <iostream>`
`#include <vector>`
`#include <list>`
`#include <set>`

Go to the source code of this file.

## Classes

class | polybori::Interpreter
class | polybori::DerefProxy< Type >
class | polybori::dict
class | polybori::tuple
class | polybori::object
struct | boost::python::converter::object_manager_traits< polybori::dict >
struct | boost::python::converter::object_manager_traits< polybori::tuple >
struct | boost::python::converter::object_manager_traits< polybori::object >

## Namespaces

| polybori
| boost
| boost::python
| boost::python::converter

## Constant Groups

| polybori
| boost
| boost::python
| boost::python::converter

## Macros

#define | PBORI_PYTHONPATH "."
#define | BEGIN_PBORI_EMBED() try { USING_NAMESPACE_PBORI; while(0)
#define | END_PBORI_EMBED() } catch(PBORI::error_already_set) { PyErr_Print(); } while(0)

## Typedefs

typedef BoolePolyRing | polybori::Ring
| convenience aliases More...
typedef BoolePolynomial | polybori::Polynomial
typedef BooleVariable | polybori::Variable
typedef BooleMonomial | polybori::Monomial

## Enumerations

enum | polybori::order_codes { polybori::lp = polybori ::COrderEnums::lp, polybori::dlex = polybori ::COrderEnums::dlex, polybori::dp_asc = polybori ::COrderEnums::dp_asc, polybori::block_dlex = polybori ::COrderEnums::block_dlex, polybori::block_dp_asc = polybori ::COrderEnums::block_dp_asc }
| copy enums for convenience More...

## Functions

object | polybori::eval (str expression)
object | polybori::exec (str code)
object | polybori::exec_file (str filename)
void | polybori::run (const char *code)

## Detailed Description

Author
  Alexander Dreyer

Date
  2012-06-15

This file is a header-only framework for supporting PolyBoRi embedding. It also incorporates Python (via boost_python).

Copyright:
  (c) 2012 by The PolyBoRi Team

## Macro Definition Documentation

#define BEGIN_PBORI_EMBED | ( | ) |  | try { USING_NAMESPACE_PBORI; while(0)

#define END_PBORI_EMBED | ( | ) |  | } catch(PBORI::error_already_set) { PyErr_Print(); } while(0)

#define PBORI_PYTHONPATH "."